> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Frontend Get All Features

GET https://edge.unleash-instance.example.com/api/frontend/all

Reference: https://docs.getunleash.io/api/frontend-get-all-features

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: edge-api
  version: 1.0.0
paths:
  /api/frontend/all:
    get:
      operationId: frontend-get-all-features
      summary: Frontend Get All Features
      tags:
        - subpackage_frontendApi
      parameters:
        - name: userId
          in: query
          required: false
          schema:
            type: string
        - name: sessionId
          in: query
          required: false
          schema:
            type: string
        - name: environment
          in: query
          required: false
          schema:
            type: string
        - name: appName
          in: query
          required: false
          schema:
            type: string
        - name: currentTime
          in: query
          required: false
          schema:
            type: string
        - name: remoteAddress
          in: query
          required: false
          schema:
            type: string
        - name: properties
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ApiFrontendAllGetParameters'
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Return all known feature toggles for this token in evaluated
            (true|false) state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FrontendResult'
        '403':
          description: Was not allowed to access features
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://edge.unleash-instance.example.com
    description: Your Unleash Edge instance (replace with your actual URL)
components:
  schemas:
    ApiFrontendAllGetParameters:
      type: object
      properties: {}
      title: ApiFrontendAllGetParameters
    Payload:
      type: object
      properties:
        type:
          type: string
        value:
          type: string
      required:
        - type
        - value
      title: Payload
    EvaluatedVariant:
      type: object
      properties:
        enabled:
          type: boolean
        name:
          type: string
        payload:
          oneOf:
            - $ref: '#/components/schemas/Payload'
            - type: 'null'
      required:
        - enabled
        - name
      title: EvaluatedVariant
    EvaluatedToggle:
      type: object
      properties:
        enabled:
          type: boolean
        impressionData:
          type: boolean
        impression_data:
          type: boolean
        name:
          type: string
        variant:
          $ref: '#/components/schemas/EvaluatedVariant'
      required:
        - enabled
        - impressionData
        - impression_data
        - name
        - variant
      title: EvaluatedToggle
    FrontendResult:
      type: object
      properties:
        toggles:
          type: array
          items:
            $ref: '#/components/schemas/EvaluatedToggle'
      required:
        - toggles
      title: FrontendResult
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "toggles": [
    {
      "enabled": true,
      "impressionData": true,
      "impression_data": true,
      "name": "new-dashboard-feature",
      "variant": {
        "enabled": true,
        "name": "variantA",
        "payload": null
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://edge.unleash-instance.example.com/api/frontend/all"

querystring = {"properties":"{}"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://edge.unleash-instance.example.com/api/frontend/all?properties=%7B%7D';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://edge.unleash-instance.example.com/api/frontend/all?properties=%7B%7D"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://edge.unleash-instance.example.com/api/frontend/all?properties=%7B%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://edge.unleash-instance.example.com/api/frontend/all?properties=%7B%7D")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://edge.unleash-instance.example.com/api/frontend/all?properties=%7B%7D', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://edge.unleash-instance.example.com/api/frontend/all?properties=%7B%7D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://edge.unleash-instance.example.com/api/frontend/all?properties=%7B%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```